Redmine - Defect #26428

Japanese Emoticon characters cause error in issue desc and journal
2017-07-13 15:16 - Matthew Paul

Status: Closed Start date:

Priority: Normal Due date:

Assignee: % Done: 0%
Category: Database Estimated time: 0.00 hour
Target version:

Resolution: Invalid Affected version: 3.3.1
Description

When | add the following string to a new issue or the journal note for an issue it throws an error. Looking at documentation here |
believe it is to do with the fact that my Bitnami stack creates the tables in mysql utf8 which is 3 byte not 4 byte. This given, could we
patch or add code or an option so that, in that case, it simply converts any bad characters to ? - | see code that does that anyway so
I'm not sure why that isn't happening automatically.

The text is this -

Here is the character that causes a problem with mysq|l utf-8 tables

History

#1 - 2017-07-13 15:19 - Matthew Paul

Sorry, it seems like it is already removing that character here. | can try again -
Character is a scowling smiley face emoticon here>>>

#2 - 2017-07-13 15:21 - Matthew Paul

Sorry, again, in fact this does seem like a bug. Even here logging it in redmine it doesn't just change it to ? it actually cuts off everything after that bad
character. Which seems wrong. The 4 byte encoded character is -

%F0%9F%98%9E
#3 - 2017-07-13 16:13 - Toshi MARUYAMA

- Status changed from New to Closed

- Resolution set to Invalid
Please ask bitnami team.
#4 - 2017-07-26 14:49 - Matthew Paul

Adding good info from a forum message in case anyone else is searching issues -

Deoren Moor
Some related issues: #24992, #21398

#21398#note-10 in particular goes into a good level of detail.

We experience this with scraped emails (they're rejected) and attempts to post to an issue via the web Ul (500 server error).
https://www.redmine.org/issues/24992
https://www.redmine.org/issues/21398
https://www.redmine.org/issues/21398#note-10
http://www.tcpdf.org

